libebook::PluckerParser Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::PluckerParser Class Reference

`#include <PluckerParser.h>`

Inheritance diagram for libebook::PluckerParser:

## Public Member Functions
| PluckerParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=nullptr)
Public Member Functions inherited from libebook::PDBParser
virtual | ~PDBParser ()=0
bool | parse ()
| Parse input and produce output to document.

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
| PluckerParser (const PluckerParser &other)
PluckerParser & | operator= (const PluckerParser &other)
void | readAppInfoRecord (librevenge::RVNGInputStream *record) override
void | readSortInfoRecord (librevenge::RVNGInputStream *record) override
void | readIndexRecord (librevenge::RVNGInputStream *record) override
void | readDataRecord (librevenge::RVNGInputStream *record, bool last=false) override
void | readDataRecords () override
void | readMetadata (librevenge::RVNGInputStream *input, const PluckerRecordHeader &header)
void | readImage (librevenge::RVNGInputStream *input, const PluckerRecordHeader &header)
void | readText (librevenge::RVNGInputStream *input, const PluckerRecordHeader &header, const std::vector< unsigned > &paragraphLengths)
std::shared_ptr< librevenge::RVNGInputStream > | getUncompressedStream (librevenge::RVNGInputStream *input) const

## Private Attributes
std::shared_ptr< PluckerHeader > | m_header
const std::shared_ptr< PluckerParserState > | m_state

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDBParser
| PDBParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format.
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run.
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present.
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record.
unsigned | getDataRecordCount () const
| Return the number of data records in the document.
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record.
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records.
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range.

## Constructor & Destructor Documentation

## ◆ PluckerParser() [1/2]

libebook::PluckerParser::PluckerParser | ( | const PluckerParser & | other | ) |
| private

## ◆ PluckerParser() [2/2]

libebook::PluckerParser::PluckerParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `nullptr`
| ) |  |
| explicit

## Member Function Documentation

## ◆ checkType()

bool libebook::PluckerParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

## ◆ getUncompressedStream()

std::shared_ptr< librevenge::RVNGInputStream > libebook::PluckerParser::getUncompressedStream | ( | librevenge::RVNGInputStream * | input | ) | const
| private

Referenced by readDataRecords().

## ◆ operator=()

PluckerParser & libebook::PluckerParser::operator= | ( | const PluckerParser & | other | ) |
| private

## ◆ readAppInfoRecord()

void libebook::PluckerParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overrideprivatevirtual

Implements libebook::PDBParser.

## ◆ readDataRecord()

void libebook::PluckerParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last = `false`
| ) |  |
| overrideprivatevirtual

Implements libebook::PDBParser.

## ◆ readDataRecords()

void libebook::PluckerParser::readDataRecords | ( |  | ) |
| overrideprivatevirtual

Reimplemented from libebook::PDBParser.

## ◆ readImage()

void libebook::PluckerParser::readImage | ( | librevenge::RVNGInputStream * | input,
|  | const PluckerRecordHeader & | header
| ) |  |
| private

Referenced by readDataRecords().

## ◆ readIndexRecord()

void libebook::PluckerParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overrideprivatevirtual

Implements libebook::PDBParser.

Referenced by PluckerParser().

## ◆ readMetadata()

void libebook::PluckerParser::readMetadata | ( | librevenge::RVNGInputStream * | input,
|  | const PluckerRecordHeader & | header
| ) |  |
| private

Referenced by readDataRecords().

## ◆ readSortInfoRecord()

void libebook::PluckerParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overrideprivatevirtual

Implements libebook::PDBParser.

## ◆ readText()

void libebook::PluckerParser::readText | ( | librevenge::RVNGInputStream * | input,
|  | const PluckerRecordHeader & | header,
|  | const std::vector< unsigned > & | paragraphLengths
| ) |  |
| private

Referenced by readDataRecords().

## Member Data Documentation

## ◆ m_header

std::shared_ptr<PluckerHeader> libebook::PluckerParser::m_header
| private

Referenced by getUncompressedStream(), PluckerParser(), readAppInfoRecord(), and readIndexRecord().

## ◆ m_state

const std::shared_ptr<PluckerParserState> libebook::PluckerParser::m_state
| private

Referenced by readDataRecords(), readImage(), readMetadata(), and readText().

The documentation for this class was generated from the following files:

- PluckerParser.h
- PluckerParser.cpp